Bug 430841 - Config management macro substitution is broken
Config management macro substitution is broken
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Backend (Show other bugs)
rhn500
All Linux
low Severity low
: ---
: ---
Assigned To: Bryan Kearney
Amy Owens
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-29 21:28 EST by James Bowes
Modified: 2013-01-10 04:57 EST (History)
2 users (show)

See Also:
Fixed In Version: 5.0.4.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-01 09:28:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Bowes 2008-01-29 21:28:50 EST
When installing a config file as managed by RHN, the step to replace macros will
fail, preventing the config file from installing.
Comment 1 James Bowes 2008-01-30 13:10:46 EST
To reproduce:
 * Register a system
 * give this system the provisioning entitlement
 * View the system profile in rhn, and select the configuration tab
 * select create a new config file or dir from the left hand side
 * enter a path and contents for the file Note that you do not have to use
macros in the contents to reproduce the bug.
 * save the file
 * select view/modify files, then local sandbox
 * select your new file, and copy to system channel
 * select the deploy files tab
 * select your new file, and deploy files
 * press schedule deploy
 * On the system, run rhn_check

Results:
 * http 500 error

Expected:
 * the file is deployed
Comment 2 Amy Owens 2008-01-30 16:16:28 EST
verified using rlx-2-16 in qa 
Comment 3 Amy Owens 2008-01-31 12:16:21 EST
verified in stage

Note You need to log in before you can comment on or make changes to this bug.